set(target_name adapter)
file(GLOB_RECURSE BUILD_SRC *.cpp *.c *.h)
add_library(${target_name} OBJECT ${BUILD_SRC})

# begin_link_order
# end_link_order
#install target ${target_name}
install(
    TARGETS ${target_name}
    EXPORT tbplasTargets
    LIBRARY DESTINATION ${TBPLAS_LIB_INSTALL_PATH}
    ARCHIVE DESTINATION ${TBPLAS_LIB_ARCHIVE_INSTALL_PATH}
    DESTINATION ${TBPLAS_LIB_ARCHIVE_INSTALL_PATH})